Get all hearing notifications
get
/fscmRestApi/resources/11.13.18.05/publicSectorHearingNotificationsWithoutTransients
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey: Retrieves the hearing notification that matches the specified hearing key, hearing sequence, and hearing event.
Finder Variables:- HearingEventKey; integer; The unique identifier for the hearing event.
- HearingKey; integer; The unique identifier for the hearing.
- HearingSeqKey; integer; The unique identifier for the hearing sequence.
- LnpRecordKey; integer; The unique identifier for the planning and zoning application.
- PrimaryKey: Retrieves the hearing notification that matches the specified hearing key, hearing sequence, and hearing event.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- Address1; string; The first address line for the applicant.
- Address2; string; The second address line for the applicant.
- Address3; string; The third address line for the applicant.
- Address4; string; The fourth address line for the applicant.
- AgencyId; integer; The unique identifier for the agency.
- AgencyPreferredTime; string; Indicates the agency???s preferred time format for displaying hearing-related date and time values.
- AppealAllowedFlag; string; Indicates whether an appeal is currently permitted for the hearing sequence based on business rules.
- AppealPeriod; integer; Specifies the time period within which an appeal can be submitted.
- CityName; string; The city in the applicant???s address.
- Classification; string; The record classification, such as permit, business license, professional license, or planning and zoning.
- CountryCode; string; The country code in the applicant???s address.
- CountyCodeIncits; string; The county code in the applicant???s address.
- EmailAddress1; string; The applicant???s email address.
- EmailAddress2; string; The applicant???s alternate email address.
- EventDecisionDatetime; string; Indicates the date and time when the hearing decision was issued.
- HearingAppealKey; integer; Unique identifier for the hearing appeal.
- HearingAppealStatus; string; Indicates the current status of the hearing appeal.
- HearingBodyDescription; string; The description of the hearing body for the record.
- HearingBodyName; string; The name of the hearing body for the record.
- HearingDecisionDescription; string; The description of the hearing decision for the record.
- HearingDecisionName; string; The name of the hearing decision for the record.
- HearingEventKey; integer; The unique identifier for the hearing event record.
- HearingKey; integer; The unique identifier for the hearing record.
- HearingSeqKey; integer; Unique sequence identifier for the hearing record.
- HrgBodyCode; string; Code identifying the hearing body or authority.
- HrgDecisionCode; string; Code representing the outcome of the hearing decision.
- LnpRecordId; string; The unique identifier for the planning and zoning application.
- LnpRecordKey; integer; The unique identifier for the planning and zoning application.
- LookupCode; string; Code representing a lookup reference value.
- LookupType; string; Indicates the type or category of lookup value.
- PersonFirstName; string; The applicant???s first name.
- PersonLastName; string; The applicant???s last name.
- Province; string; The province in the applicant???s address.
- RecordType; string; The application type for the planning and zoning application.
- RecordTypeCode; string; The unique identifier for the application type.
- RecordTypeId; string; Unique identifier for the record type.
- ScheduleDatetime; string; The date and time the hearing is scheduled.
- ScheduleStatus; string; The status of the hearing schedule.
- StateCodeIso; string; ISO-standard code representing the state or region.
- Subclassification; string; Indicates that the record type is used for the pre-application process.
- SubmitDatetime; string; Indicates the date and time when the record was submitted.
- ViewApplicationId; integer; Unique identifier for the associated application view.
- WfProcessId; number; The unique identifier for the workflow process ID.
- ZipCode; string; The ZIP code in the applicant???s address.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : publicSectorHearingNotificationsWithoutTransients
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : publicSectorHearingNotificationsWithoutTransients-item-response
Type:
Show Source
object-
Address1: string
Read Only:
trueMaximum Length:240The first address line for the applicant. -
Address2: string
Read Only:
trueMaximum Length:240The second address line for the applicant. -
Address3: string
Read Only:
trueMaximum Length:240The third address line for the applicant. -
Address4: string
Read Only:
trueMaximum Length:240The fourth address line for the applicant. -
AgencyId: integer
(int32)
Read Only:
trueThe unique identifier for the agency. -
AgencyPreferredTime: string
Title:
Time FormatRead Only:trueMaximum Length:30Indicates the agency???s preferred time format for displaying hearing-related date and time values. -
AppealAllowedFlag: string
Read Only:
trueMaximum Length:9Indicates whether an appeal is currently permitted for the hearing sequence based on business rules. -
AppealPeriod: integer
(int32)
Title:
Appeal Period in DaysRead Only:trueSpecifies the time period within which an appeal can be submitted. -
CityName: string
Read Only:
trueMaximum Length:60The city in the applicant???s address. -
Classification: string
Read Only:
trueMaximum Length:3The record classification, such as permit, business license, professional license, or planning and zoning. -
CountryCode: string
Read Only:
trueMaximum Length:3The country code in the applicant???s address. -
CountyCodeIncits: string
Read Only:
trueMaximum Length:60The county code in the applicant???s address. -
EmailAddress1: string
Title:
Applicant Email Address 1Read Only:trueMaximum Length:320The applicant???s email address. -
EmailAddress2: string
Title:
Applicant Email Address 2Read Only:trueMaximum Length:320The applicant???s alternate email address. -
EventDecisionDatetime: string
(date-time)
Read Only:
trueIndicates the date and time when the hearing decision was issued. -
HearingAppealKey: integer
(int64)
Read Only:
trueUnique identifier for the hearing appeal. -
HearingAppealStatus: string
Read Only:
trueMaximum Length:15Indicates the current status of the hearing appeal. -
HearingBodyDescription: string
Read Only:
trueMaximum Length:800The description of the hearing body for the record. -
HearingBodyName: string
Title:
Decision Making BodyRead Only:trueMaximum Length:200The name of the hearing body for the record. -
HearingDecisionDescription: string
Title:
Hearing Decision DescriptionRead Only:trueMaximum Length:800The description of the hearing decision for the record. -
HearingDecisionName: string
Title:
DecisionRead Only:trueMaximum Length:60The name of the hearing decision for the record. -
HearingEventKey: integer
(int64)
Read Only:
trueThe unique identifier for the hearing event record. -
HearingKey: integer
(int64)
Read Only:
trueThe unique identifier for the hearing record. -
HearingSeqKey: integer
(int64)
Read Only:
trueUnique sequence identifier for the hearing record. -
HrgBodyCode: string
Title:
Hearing Body CodeRead Only:trueMaximum Length:60Code identifying the hearing body or authority. -
HrgDecisionCode: string
Title:
Decision CodeRead Only:trueMaximum Length:15Code representing the outcome of the hearing decision. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LnpRecordId: string
Title:
Application IDRead Only:trueMaximum Length:50The unique identifier for the planning and zoning application. -
LnpRecordKey: integer
Read Only:
trueThe unique identifier for the planning and zoning application. -
LookupCode: string
Read Only:
trueMaximum Length:30Code representing a lookup reference value. -
LookupType: string
Read Only:
trueMaximum Length:30Indicates the type or category of lookup value. -
PersonFirstName: string
Title:
Applicant First NameRead Only:trueMaximum Length:150The applicant???s first name. -
PersonLastName: string
Title:
Applicant Last NameRead Only:trueMaximum Length:150The applicant???s last name. -
Province: string
Read Only:
trueMaximum Length:60The province in the applicant???s address. -
RecordType: string
Title:
Application TypeRead Only:trueMaximum Length:100The application type for the planning and zoning application. -
RecordTypeCode: string
Read Only:
trueMaximum Length:20The unique identifier for the application type. -
RecordTypeId: string
Read Only:
trueMaximum Length:30Unique identifier for the record type. -
ScheduleDatetime: string
(date-time)
Title:
Decision DateRead Only:trueThe date and time the hearing is scheduled. -
ScheduleStatus: string
Title:
Schedule StatusRead Only:trueMaximum Length:80The status of the hearing schedule. -
StateCodeIso: string
Read Only:
trueMaximum Length:60ISO-standard code representing the state or region. -
Subclassification: string
Read Only:
trueMaximum Length:10Indicates that the record type is used for the pre-application process. -
SubmitDatetime: string
(date-time)
Read Only:
trueIndicates the date and time when the record was submitted. -
ViewApplicationId: integer
(int64)
Read Only:
trueUnique identifier for the associated application view. -
WfProcessId: number
Read Only:
trueThe unique identifier for the workflow process ID. -
ZipCode: string
Read Only:
trueMaximum Length:60The ZIP code in the applicant???s address.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.